%define	name	ethumb
%define version 20131105
%define release %mkrel 1
%define realversion 1.7.9

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: Enlightenment thumbnailing library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: LGPLv3+
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
Source: %{name}-%{realversion}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:	ecore-devel
BuildRequires:	efreet-devel
BuildRequires:	embryo-devel
BuildRequires:	edje-devel
BuildRequires:	emotion-devel
BuildRequires:	e-dbus-devel
BuildRequires:	eeze-devel

%description
New library to generate thumbnails.
There are still some important features to be implemented, like
client-server framework, edje thumbnails and a plugin API to integrate
it with emotion and like.

%package devel
Summary: Enlightenment thumbnailing library - devel files
Group: Development/Libraries
Requires: %name = %version-%release
Provides: %name-devel = %version-%release

%description devel
ethumb development headers and development libraries.

%prep
%setup -q -n %name-%realversion

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name *.la | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/ethumb
%{_bindir}/ethumbd
%{_bindir}/ethumbd_client
%{_datadir}/dbus-1/services/org.enlightenment.Ethumb.service
%{_datadir}/ethumb
%{_libdir}/ethumb
%{_libexecdir}/ethumbd_slave
%{_libdir}/*.so.%{major}*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}


%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9
